Distribution:	CCux
Packager:	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Summary:	sctplib - a stream control transmission protocol implementation
Name:		sctplib
Version:	1.0.3
Release:	2
Group:		Networking/Other
License:	GPL/LGPL
URL:		http://www.sctp.de/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
Provides:       sctplib

%description
The SCTP implementation supports the current version of the protocol. It runs under Linux, FreeBSD and Mac OS X and supports IPv4 and IPv6. The software is a result of a cooperation between Siemens, the Computer networking technology group of the University of Essen and the Mnster University of Applied Sciences. 

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%version

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* README* 
/usr/lib/libsctplib.so.1.0.3

%files devel
%defattr(-,root,root)
/usr/lib/libsctplib.a
/usr/lib/libsctplib.la
/usr/include/sctp.h
/usr/lib/libsctplib.so

%changelog
* Mon Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.3-2
- Splitted devel package
* Sat Jun 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.3-1
- Initial Release